# Copyright (C) 2006-2011 Oracle. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, version 2.  This program is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.  You should have received a copy of the GNU
# General Public License along with this program; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 021110-1307, USA.

# config
CONFIG_DIR  = "/etc/ovs-agent"

# dlm & ha
DLM = "/dlm"
DLM_DOMAIN = "/dlm/ovm"
DLM_LOCK_MASTER = "/dlm/ovm/master"

# db
LOCAL_DB_HOME = "%s/db" % CONFIG_DIR
LOCAL_SERVER_DB = "server"
LOCAL_REPO_DB = "repository"
LOCAL_APROC_DB = "aproc"
LOCAL_EXPORTS_DB = "exports"

# repo
OVS_REPO_VERSION = "3.0"
OVS_REPO_HEAD = "/OVS/Repositories/"
OVS_REPO_META = ".ovsrepo"

# nfs mount
NFS_MOUNT = "/nfsmnt"
LUN_PREFIX = "/dev/mapper/"

# pool fs
POOLFS_MOUNT = "/poolfsmnt"
POOLFS_META = ".ovspoolfs"
POOLFS_IMG = "ovspoolfs.img"
POOLFS_IMG_SIZE = 10240
POOLFS_LABEL = "OVS_POOL_FILESYSTEM"
POOLFS_NODE_SLOTS = "32"
POOLFS_DMNFS_DEVICE = "ovspoolfs"
POOLFS_VERSION = "3.0"

# static membership states
MEMBERSHIP_STATE_UNOWNED = "Unowned"
MEMBERSHIP_STATE_OWNED = "Owned"
MEMBERSHIP_STATE_POOLED = "Pooled"
MEMBERSHIP_STATE_HB_CONFIGURED = "Heartbeat_Configured"
MEMBERSHIP_STATE_CLUSTERED = "Clustered"

# dynamic cluster states
CLUSTER_STATE_OFFLINE = "Offline"
CLUSTER_STATE_ONLINE = "Online"
CLUSTER_STATE_HEARTBEATING = "Heartbeating"
CLUSTER_STATE_POOLFS_MOUNTED = "PoolFS_Mounted"
CLUSTER_STATE_DLM_READY = "DLM_Ready"

# unknown state
STATE_UNKNOWN = "Unknown"

# cluster
CLUSTER_CONFIGFS = "/sys/kernel/config/cluster"
CLUSTER_CONF = "/etc/ocfs2/cluster.conf"
CLUSTER_CONF_ORIG = "/etc/ocfs2/cluster.conf.orig"
CLUSTER_CONF_DIR = "/etc/ocfs2"
O2CB_CONF = "/etc/sysconfig/o2cb"

# notification server
NOTIFICATION_SERVER_ADDRESS = '/var/run/ovs-agent/notification-server.sock'

MANAGER_SRC_IP = None

# qlayer monitor
MONITOR = '/etc/init.d/qlayer-monitor'
MONITOR_BASE_DIR = '/var/qlayer'
MONITOR_CFG = '/etc/monitor/config.yml'
MON_CFG_DFLT_GRACE = 3600
MON_CFG_DFLT_INTERVAL = 20
MON_CFG_DFLT_PLUGIN_PATH = 'plugins'
MON_CFG_DFLT_RELOAD_INTERVAL = 999999999
MON_CFG_EVENTS_LOC = MONITOR_BASE_DIR + '/%s/monitor/%s/events'
MON_CFG_STATS_LOC = MONITOR_BASE_DIR + '/%s/monitor/%s/stats'
MON_CFG_FS_HANDLER = 'monitor.consumers.filesystem.FilesystemConsumer'
MONITOR_SERVER_INTERVAL = 20

# sleep on error
SLEEP_ON_ERR = 60

# lock files
MONITOR_LOCK = '/var/run/ovs-agent/monitor.lock'
CLUSTER_LOCK = '/var/run/ovs-agent/cluster.lock'
